summaryrefslogtreecommitdiffstats
path: root/kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh
diff options
context:
space:
mode:
authorjasmineWen <jasmine.wen@amdocs.com>2018-03-06 16:13:35 +0000
committerjasmineWen <jasmine.wen@amdocs.com>2018-03-19 15:42:08 +0000
commit85d9d73270f01d0770c29e8516dd0154669e9cf5 (patch)
tree8f135e6dbdc2359f9329352aa7bda94c2e40be76 /kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh
parent0947cdf7e780641e1604ef3752483fa4d29efb3e (diff)
Move consul config from shared NFS to configmap
Issue-ID: OOM-597 Change-Id: I708c3e9df16003a54462f76c6ffe513b270faae8 Signed-off-by: jasmineWen <jasmine.wen@amdocs.com>
Diffstat (limited to 'kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh')
-rwxr-xr-xkubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh b/kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh
new file mode 100755
index 0000000000..035e7c8a38
--- /dev/null
+++ b/kubernetes/consul/resources/config/consul-agent-config/scripts/data-router-script.sh
@@ -0,0 +1,16 @@
+
+NAME=$(/consul/bin/kubectl -n {{ .Values.nsPrefix }} get pod | grep -o "aai-data-router[^[:space:]]*")
+
+if [ -n "$NAME" ]; then
+ if /consul/bin/kubectl -n {{ .Values.nsPrefix }} exec -it $NAME -- ps -efww | grep 'java' | grep 'data-router' > /dev/null; then
+
+ echo Success. Synapse process is running. 2>&1
+ exit 0
+ else
+ echo Failed. Synapse process is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. Synapse container is offline. 2>&1
+ exit 1
+fi